Advertisement:

Author Topic: Dispariton du PHP 7.0 et 5.6  (Read 954 times)

Offline ironside.legende

  • Semi-Newbie
  • *
  • Posts: 23
Dispariton du PHP 7.0 et 5.6
« on: November 12, 2018, 03:34:37 PM »
Bonsoir
suite au passage obligé au PHP 7.2 Mon forum , et celui d'un ami , présente un disfonctionnement.
Lorsque l'on veut quiter le portail et aller sur le forum même , nous avons le message suivant:

UNE ERREUR S'EST PRODUITE !
Cannot use string offset as an array

que peut-on y faire

Merci

Offline SychO

  • Lone Wolf
  • Customizer
  • Sr. Member
  • *
  • Posts: 711
  • Gender: Male
    • SychO9 on GitHub
    • SychO
Re: Dispariton du PHP 7.0 et 5.6
« Reply #1 on: November 12, 2018, 04:44:31 PM »
Bonjour, changez la version de php à 7.1 ou 7.0 parce-que SMF 2.0 n'est pas compatible avec 7.2
vous devriez pouvoir le faire depuis la page de contrôle de votre site (Cpanel), sinon contactez votre hébergeur.

Offline maximus23

  • Local Moderator
  • SMF Super Hero
  • *
  • Posts: 11,170
  • Gender: Male
  • Smf 2.0.15 /2.1 B3
    • Smf Français Forum non Officiel
Re: Dispariton du PHP 7.0 et 5.6
« Reply #2 on: November 12, 2018, 07:44:29 PM »
Bonsoir
suite au passage obligé au PHP 7.2 Mon forum , et celui d'un ami , présente un disfonctionnement.
Lorsque l'on veut quiter le portail et aller sur le forum même , nous avons le message suivant:
Merci

Bonsoir,

Pourquoi passage obligé en 7.2 alors que l'on arrive juste à la fin du 5.6 et de rien d'autre fin de cette année.

Toutes les versions 7.0 et 7.1 sont toujours maintenues.

Dans ton Cpanel tu sais choisir la version que tu veux par défaut ou alors tu sais la mettre via un htaccess en général à la racine de ton site.

Maintenant si tu veux vraiment passer en 7.2+ il existe un mod NON OFFICIEL qui permet de le faire sans problèmes mais attention aux modules qui eux ne sont pas prévus pour.

Si tu veux tester fais cela en local avant toute chose.

:)
Pas de support par PM ou Courrier...Veuillez utiliser le forum pour vous avoir une réponse rapide à votre demande d'aide. Merci.
Amitiés et à Bientôt...
No support by PM or Mail...You will get better and faster responses in the support forums. Thank you.
Have a nice day...

Offline ironside.legende

  • Semi-Newbie
  • *
  • Posts: 23
Re: Dispariton du PHP 7.0 et 5.6
« Reply #3 on: November 13, 2018, 12:54:04 AM »
Merci pour vos réponse

Mais le 5.6 et 7.0 vont disparaître pour laisser place aux 7.1 et 7.2.

je sais très bien que l'on peut choisir le 5.6 en attendant qu'il disparaîsse , mais il faut anticiper.

mon hébergeur est one.com pour info.

Cher utilisateur

Les versions 5.6 et 7.0 de PHP arrivent en fin de vie. PHP 5.6 expirera le 31 décembre 2018 et PHP 7.0 le 3 décembre 2018. Cela signifie que le support de sécurité pour ces versions de PHP prendra fin. La décision de cesser les prestations incombe à PHP.net et échappe au contrôle de One.com.

La version PHP de votre site Web -----------.eu est actuellement 7.0. Nous allons la mettre à niveau vers PHP 7.2, qui est la version la plus récente disponible, et qui vous garantira la plus longue durée de vie possible du support. La mise à niveau automatique de votre version PHP aura lieu dans la première moitié de novembre.

Une fois la mise à niveau effectuée, vous pourrez toujours revenir temporairement à PHP 5.6 ou 7.0. Toutefois, la rétrogradation ne sera plus possible après le 3 décembre. Si votre site Web utilise PHP 5.6 ou 7.0 à cette date, il sera automatiquement mis à niveau vers la version 7.2.

Si vous avez un site Web WordPress, il importe de vérifier la mise à jour de WordPress et de tous les plugins correspondants selon la dernière version disponible. Vous pouvez le faire en quelques clics dans votre tableau de bord WordPress.

Si un autre élément quelconque de votre site Web utilise PHP, vous devez préparer votre site pour la mise à jour PHP, de préférence le plus tôt possible, afin d'avoir le temps suffisant pour régler tous les problèmes liés au caractère obsolète du code. Découvrez comment préparer votre site pour la mise à niveau PHP.

Offline maximus23

  • Local Moderator
  • SMF Super Hero
  • *
  • Posts: 11,170
  • Gender: Male
  • Smf 2.0.15 /2.1 B3
    • Smf Français Forum non Officiel
Re: Dispariton du PHP 7.0 et 5.6
« Reply #4 on: November 13, 2018, 02:03:14 AM »
Bonjour,

Pas de soucis si ton hébergeur veut perdre 90% de sa clientèle il peut procéder de la sorte car pour pas mal de monde pas mal de programmes php et autres tourneront toujours sous ces versions.

Ce n'est pas parce que la version de php 5.6 ou 7.0 arrive en fin de vie qu'elle comportera une faille de sécurité immédiate.

La plupart des hébergeurs cohérents ont toujours toutes les versions disponibles et même plus comme OVH qui a même encore une version 4 qui peut-être activée.

Maintenant chacun fait comme il le veut moi ici je gère une 100 de sites au travers d'une 10aine d'hébergeurs et pas le moindre soucis de ce côté car tout restera activé au delà de la fin de vie de ces versions.

Maintenant si tu veux le lien pour la mise à jour 7.2x pas de soucis.

:)
Pas de support par PM ou Courrier...Veuillez utiliser le forum pour vous avoir une réponse rapide à votre demande d'aide. Merci.
Amitiés et à Bientôt...
No support by PM or Mail...You will get better and faster responses in the support forums. Thank you.
Have a nice day...

Offline ironside.legende

  • Semi-Newbie
  • *
  • Posts: 23
Re: Dispariton du PHP 7.0 et 5.6
« Reply #5 on: November 13, 2018, 10:34:28 AM »
Bonjour , est-ce que la version 2.1 bêta 3 est compatible 7.2 ?
si non,je veux bien un lien de mise à jour.

Merci

Offline maximus23

  • Local Moderator
  • SMF Super Hero
  • *
  • Posts: 11,170
  • Gender: Male
  • Smf 2.0.15 /2.1 B3
    • Smf Français Forum non Officiel
Re: Dispariton du PHP 7.0 et 5.6
« Reply #6 on: November 13, 2018, 11:45:15 AM »
Bonjour,

Pour la 2.1 le 7.1 pas de soucis mais pour 7.2 quelques erreurs encore. Cette version est toujours en test actuellement et n'est pas sortie actuellement.

Pour le lien je te mets cela pas de soucis. Attention backup et tout le toutim par sécurité :)
Pas de support par PM ou Courrier...Veuillez utiliser le forum pour vous avoir une réponse rapide à votre demande d'aide. Merci.
Amitiés et à Bientôt...
No support by PM or Mail...You will get better and faster responses in the support forums. Thank you.
Have a nice day...

Offline ironside.legende

  • Semi-Newbie
  • *
  • Posts: 23
Re: Dispariton du PHP 7.0 et 5.6
« Reply #7 on: November 13, 2018, 04:19:30 PM »
Merci je te tiens au courant.

je fais un test en permutant en PHP 7.2

Offline ironside.legende

  • Semi-Newbie
  • *
  • Posts: 23
Re: Dispariton du PHP 7.0 et 5.6
« Reply #8 on: November 14, 2018, 12:21:33 AM »
Bonjour
le patch ne foncionne pas.

Offline maximus23

  • Local Moderator
  • SMF Super Hero
  • *
  • Posts: 11,170
  • Gender: Male
  • Smf 2.0.15 /2.1 B3
    • Smf Français Forum non Officiel
Re: Dispariton du PHP 7.0 et 5.6
« Reply #9 on: November 14, 2018, 12:33:34 AM »
Bonjour,

Moi je l'ai testé et il fonctionne très bien.

Alors qu'entends-tu par ne fonctionne pas ?

:)
Pas de support par PM ou Courrier...Veuillez utiliser le forum pour vous avoir une réponse rapide à votre demande d'aide. Merci.
Amitiés et à Bientôt...
No support by PM or Mail...You will get better and faster responses in the support forums. Thank you.
Have a nice day...

Offline ironside.legende

  • Semi-Newbie
  • *
  • Posts: 23
Re: Dispariton du PHP 7.0 et 5.6
« Reply #10 on: November 14, 2018, 11:02:10 AM »
Bonjour,

Alors qu'entends-tu par ne fonctionne pas ?

:)
toujours ce message

UNE ERREUR S'EST PRODUITE !
Cannot use string offset as an array

Offline maximus23

  • Local Moderator
  • SMF Super Hero
  • *
  • Posts: 11,170
  • Gender: Male
  • Smf 2.0.15 /2.1 B3
    • Smf Français Forum non Officiel
Re: Dispariton du PHP 7.0 et 5.6
« Reply #11 on: November 14, 2018, 12:07:52 PM »
Bonsoir,

Tu as quoi comme mods d'installés ?

Là il s'agit d'une erreur NULL sur un Tableau.

Tu devrais installer un Smf neuf et après voir tout tes modules ou voir si cela se génère dès le départ.

Moi ici il tourne sans problèmes et il y a une 50aine de mes modules qui y sont greffés.

Tu n'as rien d'autre dans tes logs de Smf suite à cette erreur ?

:)
Pas de support par PM ou Courrier...Veuillez utiliser le forum pour vous avoir une réponse rapide à votre demande d'aide. Merci.
Amitiés et à Bientôt...
No support by PM or Mail...You will get better and faster responses in the support forums. Thank you.
Have a nice day...

Offline ironside.legende

  • Semi-Newbie
  • *
  • Posts: 23
Re: Dispariton du PHP 7.0 et 5.6
« Reply #12 on: November 14, 2018, 12:45:36 PM »
Dans le journal il y a 170666 erreurs
Je vais installer un forum vierge, tu as raison  ;)

Offline maximus23

  • Local Moderator
  • SMF Super Hero
  • *
  • Posts: 11,170
  • Gender: Male
  • Smf 2.0.15 /2.1 B3
    • Smf Français Forum non Officiel
Re: Dispariton du PHP 7.0 et 5.6
« Reply #13 on: November 14, 2018, 12:58:47 PM »
Bonsoir,

Oui tu as beaucoup d'erreurs mais en général la majeure partie est une répétition de l'erreur au travers les différentes sections et messages.

Donc commence par voir ce qui se passe avec un forum neuf.

Pour la 2.1 j'ai pas testé avec 7.2 je tourne en 7.1.x :)
Pas de support par PM ou Courrier...Veuillez utiliser le forum pour vous avoir une réponse rapide à votre demande d'aide. Merci.
Amitiés et à Bientôt...
No support by PM or Mail...You will get better and faster responses in the support forums. Thank you.
Have a nice day...

Offline ironside.legende

  • Semi-Newbie
  • *
  • Posts: 23
Re: Dispariton du PHP 7.0 et 5.6
« Reply #14 on: November 14, 2018, 01:18:04 PM »
Bonsoir,

Oui tu as beaucoup d'erreurs mais en général la majeure partie est une répétition de l'erreur au travers les différentes sections et messages.

Donc commence par voir ce qui se passe avec un forum neuf.

Pour la 2.1 j'ai pas testé avec 7.2 je tourne en 7.1.x :)
Bonsoir
Forum neuf=> beaucoup d'erreurs du type obsolète "machin chose"
application du patch: "SMF 2.0.X - PHP 7.2+ Compatibility"
tout est ok après install des "boards","members" "portal" zero erreur  :D
je vais renvoyer les mods , et les différentes tables de la BDD.

une fois terminé , je rendrai compte.

pour la versions 2.1 c'est truffé de problèmes , dont je n'énnumerai pas

wait and see
Merci


Offline maximus23

  • Local Moderator
  • SMF Super Hero
  • *
  • Posts: 11,170
  • Gender: Male
  • Smf 2.0.15 /2.1 B3
    • Smf Français Forum non Officiel
Re: Dispariton du PHP 7.0 et 5.6
« Reply #15 on: November 14, 2018, 01:23:45 PM »
Bonsoir,

La mise à jour du patch peut se faire en 7.0 pas de soucis comme cela pas d'erreurs de départ :)

Ok au moins tu verras les modules qui posent problèmes et regarde aussi si ils sont à jour par la même occasion.

:)
Pas de support par PM ou Courrier...Veuillez utiliser le forum pour vous avoir une réponse rapide à votre demande d'aide. Merci.
Amitiés et à Bientôt...
No support by PM or Mail...You will get better and faster responses in the support forums. Thank you.
Have a nice day...

Offline ironside.legende

  • Semi-Newbie
  • *
  • Posts: 23
Re: Dispariton du PHP 7.0 et 5.6
« Reply #16 on: November 14, 2018, 03:41:38 PM »
Bonsoir

installation terminé , tout est ok à part les mods: "Avatars on Board/MessageIndex" et "Topic Author" qui rendent le forum innopérant.


Merci pour tout  ;)

Offline maximus23

  • Local Moderator
  • SMF Super Hero
  • *
  • Posts: 11,170
  • Gender: Male
  • Smf 2.0.15 /2.1 B3
    • Smf Français Forum non Officiel
Re: Dispariton du PHP 7.0 et 5.6
« Reply #17 on: November 15, 2018, 12:46:26 AM »
Bonjour,

Pas de soucis mais garde quand même un œil sur tes logs de Smf.

:)
Pas de support par PM ou Courrier...Veuillez utiliser le forum pour vous avoir une réponse rapide à votre demande d'aide. Merci.
Amitiés et à Bientôt...
No support by PM or Mail...You will get better and faster responses in the support forums. Thank you.
Have a nice day...

Offline ironside.legende

  • Semi-Newbie
  • *
  • Posts: 23
Re: Dispariton du PHP 7.0 et 5.6
« Reply #18 on: November 15, 2018, 11:17:28 AM »
Bonsoir
le mod qui me posait problème était: "Avatars on Board/MessageIndex" j'ai donc mis à jour de v1.6 =>vers 2.0.
Il y a tout ce qu'il faut ici  ;D